/**
 * RoleClassSpecimen.java
 *
 * File generated from the medication::RoleClassSpecimen uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassSpecimen.
 *
 * 
 */

@XmlType(name = "RoleClassSpecimen")
@XmlEnum
@XmlRootElement(name = "RoleClassSpecimen")
public enum RoleClassSpecimen {
	@XmlEnumValue("SPEC")
	SPEC("SPEC"),
	@XmlEnumValue("ALQT")
	ALQT("ALQT"),
	@XmlEnumValue("ISLT")
	ISLT("ISLT");
	
	private final String value;

    RoleClassSpecimen(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassSpecimen fromValue(String v) {
        for (RoleClassSpecimen c: RoleClassSpecimen.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}